import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import KotlinLogoLight from './KotlinLogoLight';
import KotlinLogoDark from './KotlinLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const KotlinLogoSvg = forwardRef(function KotlinLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(KotlinLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(KotlinLogoLight, Object.assign({}, props, { ref: ref })));
});
export default KotlinLogoSvg;
